Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028076
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2014-11-04 12:142014-12-30 23:24
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9eba998e1eb9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - QA Approved
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028076: "InitializeBPCurrency" modulescript needs to be improved

Description"InitializeBPCurrency" modulescript needs to be improved to initialize business partner's currency for partners with no default pricelist but having all previous invoices in same currency
Steps To Reproduce- In a version previous to 3.0PR14Q3
  1. create new business partner and not set any price list in its customer tab
  2. register 2 invoices in same currency
- Upgrade version to 3.0PR14Q3.2
  3. Realize that business partner currency has not been initialized
Proposed SolutionIn case business partner has not default price list configured, modulescript should review invoice's currency and in case all business partner invoices are for same currency, then initialize business partner currency
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00253923.0PR14Q4 closededuardo_Argal Wrong customer balance when working with multicurrency 
causes defect 00305303.0PR15Q4 closedaferraz Performance problem in "InitializeBPCurrency" modulescript 

-  Notes
(0071474)
AtulOpenbravo (developer)
2014-11-06 19:16

Test Plan
- In a version previous to 3.0PR14Q3
  1. create new business partner and not set any price list in its customer tab.
  2. Create 2 invoices in same currency for the business partner
- Upgrade version to 3.0PR14Q3.2 and apply the fix for issue 28076.
  3. Check that business partner currency has been initialized with invoice currency.

Note: In case the business partner has invoices with different currencies, currency for business partner is not initialized.
(0071660)
hgbot (developer)
2014-11-14 19:23

Repository: erp/devel/pi
Changeset: 9eba998e1eb9629d792fe407078ab2682c73eef3
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Nov 14 14:52:54 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9eba998e1eb9629d792fe407078ab2682c73eef3 [^]

Fixes Issue 28076:InitializeBPCurrency modulescript needs to be improved

UpdateBpCurrency method update business partner currency from the invoice
if currency is null and there exists invoices in same currency. A preference
is created inorder to avoid repeatation.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeBPCurrency.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeBPCurrencyData.class
M src-util/modulescript/build/javasqlc/src/org/openbravo/modulescript/InitializeBPCurrencyData.java
M src-util/modulescript/src/org/openbravo/modulescript/InitializeBPCurrency.java
M src-util/modulescript/src/org/openbravo/modulescript/InitializeBPCurrency_data.xsql
---
(0071681)
pramakrishnan (developer)
2014-11-17 08:32

Code Review + Testing - OK.
(0073059)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-04 12:14 maite New Issue
2014-11-04 12:14 maite Assigned To => dmiguelez
2014-11-04 12:14 maite Modules => Advanced Payables and Receivables Mngmt
2014-11-04 12:14 maite Triggers an Emergency Pack => No
2014-11-04 12:44 maite Regression level => Production - QA Approved
2014-11-04 12:45 maite Relationship added related to 0025392
2014-11-04 12:45 maite Issue Monitored: networkb
2014-11-06 09:35 AtulOpenbravo Assigned To dmiguelez => AtulOpenbravo
2014-11-06 09:36 AtulOpenbravo Status new => scheduled
2014-11-06 09:36 AtulOpenbravo fix_in_branch => pi
2014-11-06 19:16 AtulOpenbravo Note Added: 0071474
2014-11-14 19:20 AtulOpenbravo Review Assigned To => pramakrishnan
2014-11-14 19:20 AtulOpenbravo fix_in_branch pi =>
2014-11-14 19:23 hgbot Checkin
2014-11-14 19:23 hgbot Note Added: 0071660
2014-11-14 19:23 hgbot Status scheduled => resolved
2014-11-14 19:23 hgbot Resolution open => fixed
2014-11-14 19:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9eba998e1eb9629d792fe407078ab2682c73eef3 [^]
2014-11-17 08:32 pramakrishnan Note Added: 0071681
2014-11-17 08:32 pramakrishnan Status resolved => closed
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073059
2015-08-14 13:35 aferraz Relationship added causes 0030530


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker